#!/bin/bash
#
# Combine all stats grabs in one place

[ -z "$RELEASES" ] && RELEASES="7 8 9"
[ -z "$YUMRELEASES" ] && YUMRELEASES="4 5"
[ -z "$NDAYS" ] && NDAYS=7

tail /srv/web/fedoraUsage/*
#echo -en '\n\nDirect downloads: '
#RELEASE=10 NDAYS=7 ~/bin/dl-stats.sh | tail -n +2 | \
#    awk '{ s+=$2 } END { print s }'
~/bin/yum-new-stats.sh 2>&1 > ~/yum-new-stats-log
~/bin/epel-new-stats.sh 2>&1 > ~/epel-new-stats-log
~/bin/dvd-vs-live.sh >> dvd-vs-live.txt
echo -en '\nDirect downloads: '
awk '{print $1, $6, $7, $8, $9}' dvd-vs-live.txt | sed 's/[^-0-9 ]//g' \
    | awk '{d+=$2; l+=$3; c+=$4; n+=$5; print $1, d+l+c+n} END {print d+l+c+n}' | tail -n 1
echo -e '\n\n'
echo 'New version yum stats:'
echo -e '\n'
tail -n 1 ~/counts.*
echo -en '\nTotal unique IPs: '
cat f7.ips f8.ips f9.ips \
    /srv/web/fedoraUsage.private/updates-released-f10.ips \
    /srv/web/fedoraUsage.private/updates-released-f11.ips \
    /srv/web/fedoraUsage.private/updates-released-f12.ips \
    /srv/web/fedoraUsage.private/updates-released-f13.ips \
    /srv/web/fedoraUsage.private/rawhide.ips \
    | sort | uniq | wc -l
